haskelldb-2.2.4: A library of combinators for generating and executing SQL statements.

Copyright | HWT Group (c) 2004, haskelldb-users@lists.sourceforge.net
License | BSD-style
Maintainer | haskelldb-users@lists.sourceforge.net
Stability | experimental
Portability | non-portable
Safe Haskell | None
Language | Haskell98

Database.HaskellDB.DBSpec.DBSpecToDBDirect

Description

Converts a DBSpec-generated database to a set of (FilePath,Doc), that can be used to generate definition files usable in HaskellDB (the generation itself is done in DBDirect)

Synopsis

- specToHDB :: String -> DBInfo -> [(String, Doc)]
- dbInfoToModuleFiles :: FilePath -> String -> DBInfo -> IO ()

# Documentation

specToHDB Source

Arguments

:: String | Top level module name
-> DBInfo |
-> [(String, Doc)] |

Converts a database specification to a set of module names and module contents. The first element of the returned list is the top-level module.

dbInfoToModuleFiles Source

Arguments

:: FilePath | base directory
-> String | top-level module name
-> DBInfo |
-> IO () |

Create module files in the given directory for the given DBInfo